:root {
  --wp--preset--font-size--heading-2: clamp(
    30px,
    2rem + ((1vw - 3.2px) * 2.5),
    90px
  );
}

.proyectos-img {
  max-height: 50vh;
  width: auto;
  display: block;
}

*,
html,
body {
  hyphens: none !important;
}

.post-preview-container {
  display: flex;
  flex-flow: row wrap;
  gap: 1rem 2rem !important;
}

.post-preview-txt {
  flex: 99 1 0;
  padding: 4rem 2rem !important;
}

.post-preview-txt p {
  max-width: min(100%, 50ch);
}

.post-preview-img {
  flex: 1 0 1;
  padding: 2rem !important;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  overflow: hidden; /* Add overflow property to prevent image overflow */
}

.post-preview-img img {
  max-width: 100%; /* Ensure the image doesn't exceed its container */
  height: auto; /* Maintain aspect ratio */
  aspect-ratio: 1 / 1;
}

@media screen and (max-width: 782px) {
  .post-preview-container {
    flex-flow: column wrap;
  }

  .post-preview-txt {
    padding: 2rem !important;
  }

  .post-preview-img {
    justify-content: flex-start;
  }

  .post-preview-img img {
    max-height: 50svh;
  }
}

/* Forms */

.acf-fields > .acf-field {
  border-top: none !important;
  padding: 1rem 0 !important;
}

.acf-field input[type="text"],
.acf-field input[type="email"],
.acf-field input[type="tel"],
.acf-field input[type="url"],
.acf-field input[type="password"],
.acf-field input[type="number"],
.acf-field input[type="date"],
.acf-field input[type="search"],
.acf-field input[type="time"],
.acf-field input[type="datetime-local"],
.acf-field input[type="month"],
.acf-field input[type="week"],
.acf-field input[type="color"],
.acf-field textarea,
.acf-field select {
  line-height: 2 !important;
}

.af-submit {
  padding: 1rem 0 !important;
  text-align: end;
}

.acf-fields button {
  padding: 0.5rem 2rem;
  border: 1px solid #000;
  transition: all 0.3s ease;
}

.acf-fields button:hover {
  background-color: #000;
  color: #fff;
}

.af-field-type-true-false > .acf-label {
  display: none !important;
}

input[type="checkbox"] {
  margin-right: 0.5rem;
}

.acf-true-false > label {
  display: flex;
  align-items: center;
}

/* @media (max-width: 929px) {
    .wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: block !important;
    }
}

@media (min-width: 930px) {
    .wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: none !important;
    }

    .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
        background-color: inherit;
        display: block;
        position: relative;
        width: 100%;
        z-index: auto;
    }

    .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) .wp-block-navigation__responsive-container-close {
        display: none;
    }

    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__submenu-container.wp-block-navigation__submenu-container.wp-block-navigation__submenu-container.wp-block-navigation__submenu-container {
        left: 0;
    }
} */

.wp-block-column.is-vertically-aligned-top {
  width: auto;
}

.is-layout-flow > .alignright {
  margin-inline-start: 0;
}

.post-type-archive-proyectos.is-layout-constrained
  > :where(:not(.alignleft):not(.alignright):not(.alignfull)) {
  margin-left: 0;
}

.proyectos-template-default :where(p) {
  max-width: min(48ch, 100%);
}

h1.wp-block-heading a {
  text-decoration: none;
  white-space: nowrap;
  word-break: keep-all;
  font-size: clamp(24px, 2rem + ((1vw - 3.2px) * 5), 160px); /* Adjusted minimum value */
  letter-spacing: 0.03em;
}


.page-id-23 .wp-block-social-link > a {
  /* padding-left: 0; */
  border: 1px solid #000;
}

/* ul.wp-block-social-links {
  margin-top: 0 !important;
  margin-block-start: 0;
} */
